## systemimager 3.2.3-6sarge4

=== debian/changelog ===
systemimager (3.2.3-6sarge4) stable-security; urgency=high

  * Build against kernel-tree-2.4.27-10sarge5:
    * 233_ia64-sparc-cross-region-mappings.diff
      [SECURITY] Prevent cross-region mappings on ia64 and sparc which
      could be used in a local DoS attack (system crash)
      See CVE-2006-4538
    * 234_atm-clip-freed-skb-deref.diff
      [SECURITY] Avoid dereferencing an already freed skb, preventing a
      potential remote DoS (system crash) vector
      See CVE-2006-4997
    * 235_ppc-alignment-exception-table-check.diff
      [SECURITY][ppc] Avoid potential DoS which can be triggered by some
      futex ops
      See CVE-2006-5649
    * 236_s390-uaccess-memleak.diff
      [SECURITY][s390] Fix memory leak in copy_from_user by clearing the
      remaining bytes of the kernel buffer after a fault on the userspace
      address in copy_from_user()
      See CVE-2006-5174
    * 237_smbfs-honor-mount-opts.diff
      Honor uid, gid and mode mount options for smbfs even when unix extensions
      are enabled (closes: #310982)
      See CVE-2006-5871
    * 238_ppc-hid0-dos.diff
      [SECURITY] [ppc] Fix local DoS by clearing HID0 attention enable on
      PPC970 at boot time
      See CVE-2006-4093

 -- dann frazier <dannf@debian.org>  Thu,  7 Dec 2006 09:57:10 -0700

systemimager (3.2.3-6sarge3) stable-security; urgency=high

  * Build against kernel-tree-2.4.27-10sarge4:
    * [ERRATA] 213_madvise_remove-restrict.diff
      [SECURITY] The 2.4.27-10sarge3 changelog associated this patch with
      CVE-2006-1524. However, this patch fixes an mprotect issue that was
      split off from the original report into CVE-2006-2071. 2.4.27 is not
      vulnerable to CVE-2006-1524 the madvise_remove issue.
      See CVE-2006-2071
    * 223_nfs-handle-long-symlinks.diff
      [SECURITY] Fix buffer overflow in NFS readline handling that allows a
      remote server to cause a denial of service (crash) via a long symlink
      See CVE-2005-4798
    * 224_cdrom-bad-cgc.buflen-assign.diff
      [SECURITY] Fix buffer overflow in dvd_read_bca which could potentially
      be used by a local user to trigger a buffer overflow via a specially
      crafted DVD, USB stick, or similar automatically mounted device.
      See CVE-2006-2935
    * 225_sg-no-mmap-VM_IO.diff
      [SECURITY] Fix DoS vulnerability whereby a local user could attempt
      a dio/mmap and cause the sg driver to oops.
      See CVE-2006-1528
    * 226_snmp-nat-mem-corruption-fix.diff
      [SECURITY] Fix memory corruption in snmp_trap_decode
      See CVE-2006-2444
    * 227_kfree_skb.diff
      [SECURITY] Fix race between kfree_skb and __skb_unlink
      See CVE-2006-2446
    * 228_sparc-mb-extraneous-semicolons.diff
      Fix a syntax error caused by extranous semicolons in smp_mb() macros
      which resulted in a build failure with 227_kfree_skb.diff
    * 229_sctp-priv-elevation.diff, 230_sctp-priv-elevation-2.diff
      [SECURITY] Fix SCTP privelege escalation
      See CVE-2006-3745
    * 231_udf-deadlock.diff
      [SECURITY] Fix possible UDF deadlock and memory corruption
      See CVE-2006-4145
    * 232_sparc-membar-extraneous-semicolons.diff
      Fix an additional syntax error caused by extraneous semicolons
      in membar macros on sparc

 -- dann frazier <dannf@debian.org>  Thu, 14 Sep 2006 23:53:52 -0600

systemimager (3.2.3-6sarge2) stable-security; urgency=high

  * Rebuild against kernel-source-2.6.8 (2.6.8-16sarge3):
    * 207_smbfs-chroot-escape.diff
      [SECURITY] Fix directory traversal vulnerability in smbfs that permits
      local users to escape chroot restrictions
      See CVE-2006-1864
    * 208_ia64-die_if_kernel-returns.diff
      [SECURITY][ia64] Fix a potential local DoS on ia64 systems caused by
      an incorrect 'noreturn' attribute on die_if_kernel()
      See CVE-2006-0742
    * 209_sctp-discard-unexpected-in-closed.diff
      [SECURITY] Fix remote DoS in SCTP code by discarding unexpected chunks
      received in CLOSED state instead of calling BUG()
      See CVE-2006-2271
    * 210_ipv4-id-no-increment.diff
      [SECURITY] Fix vulnerability that allows remote attackers to conduct an
      Idle Scan attack, bypassing intended protections against such attacks
      See CVE-2006-1242
    * 211_usb-gadget-rndis-bufoverflow.diff
      [SECURITY] Fix buffer overflow in the USB Gadget RNDIS implementation
      that allows for a remote DoS attack (kmalloc'd memory corruption)
      See CVE-2006-1368
    * 212_ipv4-sin_zero_clear.diff
      [SECURITY] Fix local information leak in af_inet code
      See CVE-2006-1343
    * 213_madvise_remove-restrict.diff
      [SECURITY] Fix vulnerability that allows local users to bypass IPC
      permissions and replace portions of read-only tmpfs files with zeroes.
      See CVE-2006-1524
    * 214_mcast-ip-route-null-deref.diff
      [SECURITY] Fix local DoS vulnerability that allows local users to panic
      a system by requesting a route for a multicast IP
      See CVE-2006-1525
    * 215_sctp-fragment-recurse.diff
      [SECURITY] Fix remote DoS vulnerability that can lead to infinite
      recursion when a packet containing two or more DATA fragments is received
      See CVE-2006-2274
    * 216_sctp-fragmented-receive-fix.diff
      [SECURITY] Fix remote DoS vulnerability that allows IP fragmented
      COOKIE_ECHO and HEARTBEAT SCTP control chunks to cause a kernel panic
      See CVE-2006-2272
    * 217_amd64-fp-reg-leak.diff
      [SECURITY][amd64] Fix an information leak that allows a process to see
      a portion of the floating point state of other processes, possibly
      exposing sensitive information.
      See CVE-2006-1056
    * 218_do_add_counters-race.diff
      [SECURITY] Fix race condition in the do_add_counters() function in
      netfilter that allows local users with CAP_NET_ADMIN capabilities to
      read kernel memory
      See CVE-2006-0039
    * 219_sctp-hb-ack-overflow.diff


=== debian/control ===
Source: systemimager
Section: admin
Priority: optional
Maintainer: dann frazier <dannf@debian.org>
Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>= 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, modutils, sysutils, texinfo, uuid-dev
Build-Conflicts: libc6.1-pic
Build-Depends-Indep: bc, bzip2, debhelper (>= 4.0.0), docbook-to-man, docbook-utils, jadetex, sgmltools-lite
Standards-Version: 3.5.7

Package: systemimager-server
Architecture: all
Depends: ${perl:Depends}, binutils, debianutils (>= 1.7), dosfstools, libappconfig-perl, libxml-parser-perl, libxml-simple-perl, mkisofs, mtools, rsync, systemconfigurator (>= 2.0.1), systemimager-boot-i386-standard | systemimager-boot-ia64-standard, systemimager-common (= ${Source-Version})
Recommends: dhcp3-server | dhcp, syslinux
Description: Automate GNU/Linux installs and upgrades over a network
 SystemImager is a set of utilities for installing GNU/Linux images to
 clients machines over the network.  Images are stored in flat files on the
 server, making updates easy.  rsync is used for transfers, making updates
 efficient.

Package: systemimager-client
Architecture: all
Depends: ${perl:Depends}, rsync, systemimager-common (= ${Source-Version}), systemconfigurator (>= 2.0.1)
Description: Utilities for creating an image and upgrading client machines
 SystemImager is a set of utilities for installing GNU/Linux images to
 clients machines over the network.  Images are stored in flat files on the
 server, making updates easy.  rsync is used for transfers, making updates
 efficient.
 .
 This package contains utilities for updating a client's image from the
 server, and preparing a client for having its image fetched by the server.

Package: systemimager-common
Architecture: all
Depends: ${perl:Depends}, rsync
Description: Utilities and libraries common to both the server and client
 SystemImager is a set of utilities for installing GNU/Linux images to
 clients machines over the network.  Images are stored in flat files on the
 server, making updates easy.  rsync is used for transfers, making updates
 efficient.
 .
 This package contains files common to both the systemimager client and server.

Package: systemimager-doc
Section: doc
Architecture: all
Suggests: systemimager-server
Description: Manual and other documentation
 SystemImager is a set of utilities for installing GNU/Linux images to
 clients machines over the network.  Images are stored in flat files on the
 server, making updates easy.  rsync is used for transfers, making updates
 efficient.
 .
 This package contains documentation for SystemImager.

Package: systemimager-boot-i386-standard
Architecture: all
Recommends: systemimager-server
Conflicts: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386, systemimager-server (<< 3.2.3), systemimager-server (>= 3.2.4)
Replaces: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386
Description: SystemImager boot binaries for i386 client nodes
 SystemImager is a set of utilities for installing GNU/Linux images to
 client machines over the network.  Images are stored in flat
 files on the server, making updates easy.  rsync is used for transfers,
 making updates efficient.
 .
 This package contains the standard flavor of the boot files for installing
 i386 machines.  This package should be installed on the image server.

Package: systemimager-server-flamethrowerd
Architecture: all
Depends: systemimager-server (>=3.2.0), flamethrower
Description: SystemImager boot binaries for i386 client nodes
 SystemImager is a set of utilities for installing GNU/Linux images to
 client machines over the network.  Images are stored in flat
 files on the server, making updates easy.  rsync is used for transfers,
 making updates efficient.
 .
 This package adds support for doing multicast installations.  Multicast
 scales very well, allowing for the installation of hundreds of clients
 at the same time.  Some tuning is required for optimal performance.
 .
 This release requires that your client has enough memory to hold a copy
 of the system image.

## systemimager 3.2.3-6sarge6

=== debian/changelog ===
systemimager (3.2.3-6sarge6) oldstable-security; urgency=high

  * Build against kernel-tree-2.4.27-10sarge7:
    * [ERRATA] 268_ext2_readdir-f_pos-fix-2.diff
      Fix regression caused by 258_ext2_readdir-f_pos-fix.diff which can
      cause lock ups on ext2 mounts.

 -- dann frazier <dannf@debian.org>  Tue, 04 Mar 2008 16:29:09 -0700

systemimager (3.2.3-6sarge5) oldstable-security; urgency=high

  * Build against kernel-tree-2.4.27-10sarge6:
    * 239_mincore-hang.diff
      [SECURITY] Fix a potential deadlock in mincore
      See CVE-2006-4814
    * [ERRATA] 240_smbfs-honor-mount-opts-2.diff
      Fix some regressions with respect to file types (e.g., symlinks)
      introduced by the fix for CVE-2006-5871 in 2.4.27-10sarge5
    * 241_bluetooth-capi-size-checks.diff
      [SECURITY] Add additional length checks to avoid potential remote
      DoS attacks in the handling of CAPI messages in the bluetooth driver
      See CVE-2006-6106
    * 242_ext3-fsfuzz.diff
      [SECURITY] Fix a DoS vulnerability that can be triggered by a local
      user with the ability to mount a corrupted ext3 filesystem
      See CVE-2006-6053
    * 243_ipv6_fl_socklist-no-share.diff
      [SECURITY] Fix local DoS vulnerability caused by inadvertently sharing
      ipv6_fl_socklist between the listening socket and the socket created
      for connection.
      See CVE-2007-1592
    * 244_bluetooth-l2cap-hci-info-leaks.diff
      245_bluetooth-l2cap-hci-info-leaks-2.diff
      [SECURITY] Fix information leaks in setsockopt() implementations
      See CVE-2007-1353
    * 246_dn_fib-out-of-bounds.diff
      266_ipv4-fib_props-out-of-bounds.diff
      267_ipv4-fib_props-out-of-bounds-2.diff
      [SECURITY] Fix out of bounds condition in dn_fib_props[]
      See CVE-2007-2172
    * 247_reset-pdeathsig-on-suid.diff
      [SECURITY] Fix potential privilege escalation caused by improper
      clearing of the child process' pdeath signal.
      Thanks to Marcel Holtmann for the patch.
      See CVE-2007-3848
    * 248_random-reseed-sizeof-fix.diff
      [SECURITY] Fix a bug in the random driver reseeding code that reduces
      entropy by reseeding a smaller buffer size than expected
      See CVE-2007-4311
    * 249_openpromfs-signedness-bug.diff
      250_openpromfs-checks-1.diff
      251_openpromfs-checks-2.diff
      252_openpromfs-checks-3.diff
      [SECURITY] Fix a number of data checks in openprom code
      See CVE-2004-2731
    * 253_coredump-only-to-same-uid.diff
      [SECURITY] Fix an issue where core dumping over a file that
      already exists retains the ownership of the original file
      See CVE-2007-6206
    * 254_cramfs-check-block-length.diff
      [SECURITY] Add a sanity check of the block length in cramfs_readpage to
      avoid a potential oops condition
      See CVE-2006-5823
    * 255_pppoe-socket-release-mem-leak.diff
      [SECURITY] fix unpriveleged memory leak when a PPPoE socket is released
      after connect but before PPPIOCGCHAN ioctl is called upon it
      See CVE-2007-2525
    * 256_i4l-isdn_ioctl-mem-overrun.diff
      [SECURITY] Fix potential isdn ioctl memory overrun
      See CVE-2007-6151
    * 257_isdn-net-overflow.diff
      [SECURITY] Fix potential overflows in the ISDN subsystem
      See CVE-2007-6063
    * 258_ext2_readdir-f_pos-fix.diff,
      259_ext2_readdir-infinite-loop.diff,
      260_ext2-skip-pages-past-num-blocks.diff
      [SECURITY] Add some sanity checking for a corrupted i_size in
      ext2_find_entry()
      See CVE-2006-6054
    * 261_listxattr-mem-corruption.diff
      [SECURITY] Fix userspace corruption vulnerability caused by
      incorrectly promoted return values in bad_inode_ops
      This patches changes the kernel ABI.
      See CVE-2006-5753
    * 262_aacraid-ioctl-perm-check.diff
      [SECURITY] Require admin capabilities to issue ioctls to aacraid devices
      See CVE-2007-4308
    * 263_usb-pwc-disconnect-block.diff
      [SECURITY] Fix issue with unplugging webcams that use the pwc driver.
      If userspace still has the device open it can result, the driver would
      wait for the device to close, blocking the USB subsystem.
      See CVE-2007-5093
    * 264_mmap-VM_DONTEXPAND.diff
      [SECURITY] Add VM_DONTEXPAND to vm_flags in drivers that register
      a fault handler but do not bounds check the offset argument
      See CVE-2008-0007
    * 265_powerpc-chrp-null-deref.diff
      [SECURITY][powerpc] Fix NULL pointer dereference if get_property
      fails on the subarchitecture
      See CVE-2007-6694
  * Add ia64 build-dep on python, needed to run mklibs

 -- dann frazier <dannf@debian.org>  Thu, 21 Feb 2008 00:53:28 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: dann frazier <dannf@debian.org>
-Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>= 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, modutils, sysutils, texinfo, uuid-dev
+Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>= 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, modutils, python [ia64], sysutils, texinfo, uuid-dev
 Build-Conflicts: libc6.1-pic
 Build-Depends-Indep: bc, bzip2, debhelper (>= 4.0.0), docbook-to-man, docbook-utils, jadetex, sgmltools-lite
 Standards-Version: 3.5.7

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG = systemimager
VERSION = $(shell dpkg-parsechangelog | grep ^Version: | \
                  cut -d " " -f 2 | cut -d "-" -f 1)
BUILD_DIR = $(PKG)-$(VERSION)
UPSTREAM_TARBALL = $(PKG)-$(VERSION).tar.bz2

ARCH = $(shell dpkg --print-architecture)
BOOTPKG = $(PKG)-boot-$(ARCH)-standard

PATCHES=$(sort $(shell find $(CURDIR)/patches -name "*.patch"))

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	@echo -n "Extracting upstream tarball..."
	@tar xfj $(UPSTREAM_TARBALL)
	@echo "done."
	@cd $(BUILD_DIR) && \
          $(foreach patch, $(PATCHES), \
            echo -n Applying `basename $(patch)`... && cat $(patch) | \
	    patch -s -p1 && echo done. &&) /bin/true
	touch configure-stamp

copy_changelog:	$(BUILD_DIR)/changelog

$(BUILD_DIR)/changelog:	$(BUILD_DIR)/CHANGE.LOG
	cd $(BUILD_DIR) && cp CHANGE.LOG changelog

build:	build-arch build-indep

build-indep:	cleandeb configure-stamp build-indep-stamp copy_changelog

build-indep-stamp:
	# the pdf build reports a failure, but the result looks fine...
	-$(MAKE) -C $(BUILD_DIR) docs USE_SGMLTOOLS=1
	touch build-indep-stamp

build-arch:	cleandeb configure-stamp build-arch-stamp copy_changelog

build-arch-stamp:
	dh_testdir

	$(MAKE) -C $(BUILD_DIR) binaries MKCRAMFS=/usr/sbin/mkcramfs

	touch build-arch-stamp

test:	build-arch-stamp
	## make sure we haven't blown the floppy size
	## (we only support floppies on x86)
ifeq ($(ARCH),i386)
	$(MAKE) -C $(BUILD_DIR) check_floppy_size
endif
	## make sure parted doesn't segfault
	mkdir mnt
	mkdir testroot
	sudo mount $(BUILD_DIR)/initrd_source/initrd mnt -t cramfs -o loop
	sudo rsync -av mnt/* testroot/
	sudo umount mnt
	rmdir mnt
	cd testroot && sudo tar xvfz ../$(BUILD_DIR)/tmp/boel_binaries.tar.gz
	sudo chroot testroot /sbin/parted --version
	sudo rm -rf testroot

cleandeb:
	# generate control file suitable for the boot package
	# substvars don't seem to work, so we hack around it with sed.
	cp debian/control debian/control.orig
	sed -e 's/$${misc\:Package\-Arch}/$(ARCH)/g' \
	    -e 's/$${misc\:Real\-Arch}/all/;' \
	       debian/control.in > debian/control

clean: cleandeb
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp build-arch-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf $(BUILD_DIR)
	cd $(CURDIR)/debian && rm -rf $(PKG)-client $(PKG)-server \
	  $(PKG)-common $(PKG)-doc $(BOOTPKG) $(PKG)-boot \
	  $(PKG)-server-flamethrowerd
	rm -f debian/$(PKG)-server.init
	rm -f debian/$(PKG)-server-flamethrowerd.init
	dh_clean

install-arch:	build-arch
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(CURDIR)/debian && mkdir -p $(BOOTPKG)

	# Add here commands to install the packages
	$(MAKE) -C $(BUILD_DIR) install_binaries \
	  DESTDIR=$(CURDIR)/debian/$(BOOTPKG) PREFIX=/usr

install-indep:	build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(CURDIR)/debian && mkdir -p $(PKG)-client \
	  $(PKG)-server $(PKG)-common $(PKG)-doc

	# Add here commands to install the packages
	$(MAKE) -C $(BUILD_DIR) install_client \
	  DESTDIR=$(CURDIR)/debian/$(PKG)-client PREFIX=/usr
	$(MAKE) -C $(BUILD_DIR) install_server \
	  DESTDIR=$(CURDIR)/debian/$(PKG)-server PREFIX=/usr

	# these are installed properly by dh_installinit later
	rm -rf $(CURDIR)/debian/$(PKG)-server/etc/init.d

	$(MAKE) -C $(BUILD_DIR) install_common \
	  DESTDIR=$(CURDIR)/debian/$(PKG)-common PREFIX=/usr

	# the pdf build reports a failure, but the result looks fine...
	-$(MAKE) -C $(BUILD_DIR) install_docs \
	  DESTDIR=$(CURDIR)/debian/$(PKG)-doc PREFIX=/usr USE_SGMLTOOLS=1

	mkdir -p $(CURDIR)/debian/$(PKG)-server-flamethrowerd/etc/systemimager
	mv $(CURDIR)/debian/$(PKG)-server/etc/systemimager/flamethrower.conf \
	  $(CURDIR)/debian/$(PKG)-server-flamethrowerd/etc/systemimager/

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -p$(BOOTPKG)
	dh_testroot -p$(BOOTPKG)
	dh_installdocs -p$(BOOTPKG)
	dh_installchangelogs -p$(BOOTPKG)
	dh_link -p$(BOOTPKG)
	dh_strip -p$(BOOTPKG)
	dh_compress -p$(BOOTPKG)
	dh_fixperms -p$(BOOTPKG)
	dh_installdeb -p$(BOOTPKG)
	dh_perl -p$(BOOTPKG)
	dh_shlibdeps -p$(BOOTPKG)
	dh_gencontrol -p$(BOOTPKG)
	dh_md5sums  -p$(BOOTPKG)
	dh_builddeb -p$(BOOTPKG)

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir -N$(BOOTPKG)
	dh_testroot -N$(BOOTPKG)
#	dh_installdebconf
	dh_installdocs -N$(BOOTPKG)
	dh_installexamples -p$(PKG)-server $(BUILD_DIR)/doc/local.cfg

	cp ./$(PKG)-$(VERSION)/etc/init.d/$(PKG)-server-rsyncd \
	  ./debian/$(PKG)-server.init
	dh_installinit -p$(PKG)-server --init-script=$(PKG)-server

	cp ./$(PKG)-$(VERSION)/etc/init.d/$(PKG)-server-netbootmond \
	  ./debian/$(PKG)-server.init
	dh_installinit -p$(PKG)-server --init-script=netbootmond

	cp ./$(PKG)-$(VERSION)/etc/init.d/$(PKG)-server-flamethrowerd \
	  ./debian/$(PKG)-server-flamethrowerd.init
	dh_installinit -p$(PKG)-server-flamethrowerd \
	  --init-script=systemimager-server-flamethrowerd

	dh_installchangelogs -N$(BOOTPKG)
	dh_link -N$(BOOTPKG)
	dh_strip -N$(BOOTPKG)
	dh_compress -N$(BOOTPKG)
	dh_fixperms -N$(BOOTPKG)
	dh_installdeb -N$(BOOTPKG)
	dh_perl -N$(BOOTPKG)
	dh_shlibdeps -N$(BOOTPKG)
	dh_gencontrol -N$(BOOTPKG)
	dh_md5sums  -N$(BOOTPKG)
	dh_builddeb -N$(BOOTPKG)

binary: binary-indep binary-arch
.PHONY: build cleandeb clean binary-indep binary-arch binary install configure

## systemimager 3.4.1-1

=== Makefile ===
#
#	"SystemImager"  
#
#   Copyright (C) 1999-2004 Brian Elliott Finley
#   Copyright (C) 2001-2004 Hewlett-Packard Company <dannf@hp.com>
#   
#   Others who have contributed to this code:
#   	Sean Dague <sean@dague.net>
#
#   $Id: Makefile,v 1.164.2.3 2005/04/20 05:22:22 brianfinley Exp $
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#	2004.04.13 	Brian Elliott Finley
#	- Michael Jennings suggested permissions changes on some files.  done.
#	2004.09.08  Brian Elliott Finley
#	- add MKSWAP_BINARY
#   2004.09.10  Brian Elliott Finley
#   - include as part of standard boel_binaries_tarball
#   - move to using gpg .sign files only.  no need for md5 too, especially
#     if we want to be knee-jerk reactionary to the recent md5 hash collision
#     reports. :-)
#   2004.09.11  Brian Elliott Finley
#   - install everything in the doc/examples directory.
#   2004.09.19  Brian Elliott Finley
#   - add 'show_targets' target.
#
#
# ERRORS when running make:
#   If you encounter errors when running "make", because make couldn't find
#   certain things that it needs, and you are fortunate enough to be building
#   on a Debian system, you can issue the following command to ensure that
#   all of the proper tools are installed.
#
#   On Debian, "apt-get build-dep systemimager ; apt-get install wget", will 
#   install all the right tools.  Note that you need the deb-src entries in 
#   your /etc/apt/sources.list file.
#
#
# SystemImager file location standards:
#   o images will be stored in: /var/lib/systemimager/images/
#   o autoinstall scripts:      /var/lib/systemimager/scripts/
#   o override directories:     /var/lib/systemimager/overrides/
#
#   o web gui pages:            /usr/share/systemimager/web-gui/
#
#   o kernels:                  /usr/share/systemimager/boot/`arch`/flavor/
#   o initrd.img:               /usr/share/systemimager/boot/`arch`/flavor/
#   o boel_binaries.tar.gz:     /usr/share/systemimager/boot/`arch`/flavor/
#
#   o perl libraries:           /usr/lib/systemimager/perl/
#
#   o docs:                     Use distribution appropriate location.
#                               Defaults to /usr/share/doc/systemimager/ 
#                               for installs from tarball or source.
#
#   o man pages:                /usr/share/man/man8/
#
#   o log files:                /var/log/systemimager/
#
#   o configuration files:      /etc/systemimager/
#   o rsyncd.conf:              /etc/systemimager/rsyncd.conf
#   o rsyncd init script:       /etc/init.d/systemimager
#   o netbootmond init script:  /etc/init.d/netbootmond
#   
#   o tftp files will be copied to the appropriate destination (as determined
#     by the local SysAdmin when running "mkbootserver".
#
#   o user visible binaries:    /usr/bin
#     (lsimage, mkautoinstalldiskette, mkautoinstallcd)
#   o sysadmin binaries:        /usr/sbin
#     (all other binaries)
#
# Standards for pre-defined rsync modules:
#   o boot (directory that holds architecture specific directories with
#           boot files for clients)
#   o overrides
#   o scripts
#
# To include the ctcs test suite, and associated files, do a 'make WITH_CTCS=1 all'
#

DESTDIR =
VERSION = $(shell cat VERSION)

## is this an unstable release?
MINOR = $(shell echo $(VERSION) | cut -d "." -f 2)
UNSTABLE = 0
ifeq ($(shell echo "$(MINOR) % 2" | bc),1)
UNSTABLE = 1
endif

FLAVOR = $(shell cat FLAVOR)

TOPDIR  := $(CURDIR)

# RELEASE_DOCS are toplevel files that should be included with all posted
# tarballs, but aren't installed onto the destination machine by default
RELEASE_DOCS = CHANGE.LOG COPYING CREDITS ERRATA README VERSION

# should we be messing with the user's PATH? -dannf
# no i don't think so. -bef-
#PATH = /sbin:/bin:/usr/sbin:/usr/bin:/usr/bin/X11:/usr/local/sbin:/usr/local/bin
ARCH = $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

# Follows is a set of arch manipulations to distinguish between ppc types
ifeq ($(ARCH),ppc64)
IS_PPC64 := 1
ifneq ($(shell ls /proc/iSeries 2>/dev/null),)
        ARCH := ppc64-iSeries
endif
endif

ifneq ($(BUILD_ARCH),)
	ARCH := $(BUILD_ARCH)
endif

MANUAL_DIR = $(TOPDIR)/doc/manual_source
MANPAGE_DIR = $(TOPDIR)/doc/man
PATCH_DIR = $(TOPDIR)/patches
LIB_SRC = $(TOPDIR)/lib
SRC_DIR = $(TOPDIR)/src
BINARY_SRC = $(TOPDIR)/sbin

# destination directories
PREFIX = /usr
ETC  = $(DESTDIR)/etc
INITD = $(ETC)/init.d
USR = $(DESTDIR)$(PREFIX)
DOC  = $(USR)/share/doc/systemimager-doc
BIN = $(USR)/bin
SBIN = $(USR)/sbin
MAN8 = $(USR)/share/man/man8
LIB_DEST = $(USR)/lib/systemimager/perl
LOG_DIR = $(DESTDIR)/var/log/systemimager
LOCK_DIR = $(DESTDIR)/var/lock/systemimager

INITRD_DIR = $(TOPDIR)/initrd_source

BOOT_BIN_DEST     = $(USR)/share/systemimager/boot/$(ARCH)/$(FLAVOR)

PXE_CONF_SRC      = etc/pxelinux.cfg
PXE_CONF_DEST     = $(ETC)/systemimager/pxelinux.cfg

BINARIES := si_mkautoinstallcd si_mkautoinstalldiskette si_mkbootmedia
SBINARIES := si_addclients si_cpimage si_getimage si_mkdhcpserver si_mkdhcpstatic si_mkautoinstallscript si_mkbootserver si_mvimage si_pushupdate si_rmimage si_mkrsyncd_conf si_mkclientnetboot si_netbootmond si_imagemanip si_mkbootpackage
CLIENT_SBINARIES  := si_updateclient si_prepareclient
COMMON_BINARIES   = si_lsimage

IMAGESRC    = $(TOPDIR)/var/lib/systemimager/images
IMAGEDEST   = $(DESTDIR)/var/lib/systemimager/images
WARNING_FILES = $(IMAGESRC)/README $(IMAGESRC)/CUIDADO $(IMAGESRC)/ACHTUNG
AUTOINSTALL_SCRIPT_DIR = $(DESTDIR)/var/lib/systemimager/scripts
OVERRIDES_DIR = $(DESTDIR)/var/lib/systemimager/overrides
OVERRIDES_README = $(TOPDIR)/var/lib/systemimager/overrides/README
FLAMETHROWER_STATE_DIR = $(DESTDIR)/var/state/systemimager/flamethrower

RSYNC_STUB_DIR = $(ETC)/systemimager/rsync_stubs

CHECK_FLOPPY_SIZE = expr \`du -b $(INITRD_DIR)/initrd.img | cut -f 1\` + \`du -b $(LINUX_IMAGE) | cut -f 1\`

BOEL_BINARIES_DIR = $(TOPDIR)/tmp/boel_binaries
BOEL_BINARIES_TARBALL = $(BOEL_BINARIES_DIR).tar.gz

SI_INSTALL = $(TOPDIR)/tools/si_install --si-prefix=$(PREFIX)
GETSOURCE = $(TOPDIR)/tools/getsource

PYTHON = $(shell which python2 || which python)

# build everything, install nothing
PHONY += all
all:	$(BOEL_BINARIES_TARBALL) kernel $(INITRD_DIR)/initrd.img manpages

# Show me a list of all targets in this entire build heirarchy
PHONY += show_targets
SHOW_TARGETS_ALL_MAKEFILES = $(shell find . -name 'Makefile' -or -name '*.rul')
show_targets:
	cat $(SHOW_TARGETS_ALL_MAKEFILES) | egrep '^[a-z_]+:' | sed 's/:.*//' | sort -u

arch:
	echo $(ARCH)
	echo $(IS_PPC64)

binaries: $(BOEL_BINARIES_TARBALL) kernel $(INITRD_DIR)/initrd.img

# All has been modified as docs don't build on non debian platforms
#
#all:	$(BOEL_BINARIES_TARBALL) kernel $(INITRD_DIR)/initrd.img docs manpages

# Now include the other targets
# This has to be right after all to make all the default target
include $(TOPDIR)/make.d/*.rul $(INITRD_DIR)/initrd.rul

# a complete server install
PHONY += install_server_all
install_server_all:	install_server install_common install_binaries

# a complete client install
PHONY += install_client_all
install_client_all:	install_client install_common

# install server-only architecture independent files
PHONY += install_server
install_server:	install_server_man install_configs install_server_libs
	$(SI_INSTALL) -d $(BIN)
	$(SI_INSTALL) -d $(SBIN)
	$(foreach binary, $(BINARIES), \
		$(SI_INSTALL) -m 755 $(BINARY_SRC)/$(binary) $(BIN);)
	$(foreach binary, $(SBINARIES), \
		$(SI_INSTALL) -m 755 $(BINARY_SRC)/$(binary) $(SBIN);)
	$(SI_INSTALL) -d -m 755 $(LOG_DIR)
	$(SI_INSTALL) -d -m 755 $(LOCK_DIR)
	$(SI_INSTALL) -d -m 755 $(BOOT_BIN_DEST)
	$(SI_INSTALL) -d -m 755 $(AUTOINSTALL_SCRIPT_DIR)

	$(SI_INSTALL) -d -m 755 $(AUTOINSTALL_SCRIPT_DIR)/pre-install
	$(SI_INSTALL) -m 644 --backup --text \
		$(TOPDIR)/var/lib/systemimager/scripts/pre-install/99all.harmless_example_script \
		$(AUTOINSTALL_SCRIPT_DIR)/pre-install/

	$(SI_INSTALL) -d -m 755 $(AUTOINSTALL_SCRIPT_DIR)/post-install
	$(SI_INSTALL) -m 644 --backup --text \
		$(TOPDIR)/var/lib/systemimager/scripts/post-install/99all.harmless_example_script \
		$(AUTOINSTALL_SCRIPT_DIR)/post-install/
	$(SI_INSTALL) -m 644 --backup --text \
		$(TOPDIR)/var/lib/systemimager/scripts/post-install/README \
		$(AUTOINSTALL_SCRIPT_DIR)/post-install/

	$(SI_INSTALL) -d -m 755 $(OVERRIDES_DIR)
	$(SI_INSTALL) -m 644 $(OVERRIDES_README) $(OVERRIDES_DIR)

	$(SI_INSTALL) -d -m 755 $(PXE_CONF_DEST)
	$(SI_INSTALL) -m 644 --backup --text $(PXE_CONF_SRC)/message.txt \
		$(PXE_CONF_DEST)/message.txt
	$(SI_INSTALL) -m 644 --backup $(PXE_CONF_SRC)/syslinux.cfg \
		$(PXE_CONF_DEST)/syslinux.cfg
	$(SI_INSTALL) -m 644 --backup $(PXE_CONF_SRC)/syslinux.cfg.localboot \
		$(PXE_CONF_DEST)/syslinux.cfg.localboot
	$(SI_INSTALL) -m 644 --backup $(PXE_CONF_SRC)/syslinux.cfg.localboot \
		$(PXE_CONF_DEST)/default

	$(SI_INSTALL) -d -m 755 $(IMAGEDEST)
	$(SI_INSTALL) -m 644 $(WARNING_FILES) $(IMAGEDEST)
	cp -a $(IMAGEDEST)/README $(IMAGEDEST)/DO_NOT_TOUCH_THESE_DIRECTORIES

	$(SI_INSTALL) -d -m 755 $(FLAMETHROWER_STATE_DIR)

# install client-only files
PHONY += install_client
install_client: install_client_man install_client_libs
	mkdir -p $(ETC)/systemimager
	$(SI_INSTALL) -b -m 644 etc/updateclient.local.exclude \
	  $(ETC)/systemimager
	$(SI_INSTALL) -b -m 644 etc/client.conf \
	  $(ETC)/systemimager
	mkdir -p $(SBIN)

	$(foreach binary, $(CLIENT_SBINARIES), \
		$(SI_INSTALL) -m 755 $(BINARY_SRC)/$(binary) $(SBIN);)

# install files common to both the server and client
PHONY += install_common
install_common:	install_common_man install_common_libs
	mkdir -p $(BIN)
	$(foreach binary, $(COMMON_BINARIES), \
		$(SI_INSTALL) -m 755 $(BINARY_SRC)/$(binary) $(BIN);)

# install server-only libraries
PHONY += install_server_libs
install_server_libs:
	mkdir -p $(LIB_DEST)/SystemImager
	mkdir -p $(LIB_DEST)/BootMedia
	$(SI_INSTALL) -m 644 $(LIB_SRC)/SystemImager/Server.pm  $(LIB_DEST)/SystemImager
	$(SI_INSTALL) -m 644 $(LIB_SRC)/BootMedia/BootMedia.pm 	$(LIB_DEST)/BootMedia
	$(SI_INSTALL) -m 644 $(LIB_SRC)/BootMedia/MediaLib.pm 	$(LIB_DEST)/BootMedia
	$(SI_INSTALL) -m 644 $(LIB_SRC)/BootMedia/alpha.pm 	$(LIB_DEST)/BootMedia
	$(SI_INSTALL) -m 644 $(LIB_SRC)/BootMedia/i386.pm 	$(LIB_DEST)/BootMedia

# install client-only libraries
PHONY += install_client_libs
install_client_libs:
	mkdir -p $(LIB_DEST)/SystemImager
	$(SI_INSTALL) -m 644 $(LIB_SRC)/SystemImager/Client.pm $(LIB_DEST)/SystemImager

# install common libraries
PHONY += install_common_libs
install_common_libs:
	mkdir -p $(LIB_DEST)/SystemImager
	$(SI_INSTALL) -m 644 $(LIB_SRC)/SystemImager/Common.pm $(LIB_DEST)/SystemImager
	$(SI_INSTALL) -m 644 $(LIB_SRC)/SystemImager/Options.pm $(LIB_DEST)/SystemImager
	$(SI_INSTALL) -m 644 $(LIB_SRC)/SystemImager/Config.pm $(LIB_DEST)/SystemImager
	$(SI_INSTALL) -m 755 $(LIB_SRC)/confedit $(LIB_DEST)

# checks the sized of the i386 kernel and initrd to make sure they'll fit 
# on an autoinstall diskette
PHONY += check_floppy_size
check_floppy_size:	$(LINUX_IMAGE) $(INITRD_DIR)/initrd.img
ifeq ($(ARCH), i386)
	@### see if the kernel and ramdisk are larger than the size of a 1.44MB
	@### floppy image, minus about 10k for syslinux stuff
	@echo -n "Ramdisk + Kernel == "
	@echo "`$(CHECK_FLOPPY_SIZE)`"
	@echo "                    1454080 is the max that will fit."

=== doc/man/Makefile ===
#
# "SystemImager"
#
#  Copyright (C) 2002 Hewlett-Packard Company <dannf@fc.hp.com>
#  Copyright (C) 2002 Bald Guy Software <brian.finley@baldguysoftware.com>
#
#    $Id: Makefile,v 1.21 2004/07/20 04:22:19 brianfinley Exp $
#


DESTDIR = 
PREFIX = /usr
USR = $(DESTDIR)$(PREFIX)

SYSTEMIMAGER_VERSION = $(shell cat ../../VERSION)

MANPAGES = $(SERVER_MAN) $(CLIENT_MAN) $(COMMON_MAN)

SERVER_MAN = si_addclients.8 				\
			si_getimage.8					\
			si_mkautoinstallcd.8			\
			si_mkautoinstalldiskette.8		\
			si_mkautoinstallscript.8		\
			si_mkdhcpserver.8				\
			si_mkdhcpstatic.8				\
			si_cpimage.8					\
			si_mvimage.8					\
			si_rmimage.8					\
			si_mkbootserver.8				\
			systemimager.conf.5			\
			systemimager-rsyncd.conf.5	\
			si_mkrsyncd_conf.8				\
			si_pushupdate.8				\
			si_mkclientnetboot.8			
#			si_imagemanip.8

CLIENT_MAN = si_prepareclient.8 si_updateclient.8

COMMON_MAN = autoinstallscript.conf.5 si_lsimage.8

.SUFFIXES: .5 .8 .8.gz .5.gz .pod .sgml

all:	compress

%.gz:	%
	gzip -9 < $< > $@

systemimager.conf.5:	systemimager.conf.pod
	pod2man --release=$(SYSTEMIMAGER_VERSION) -s 5 -c "SystemImager" $< $@

systemimager-rsyncd.conf.5:	systemimager-rsyncd.conf.pod
	pod2man --release=$(SYSTEMIMAGER_VERSION) -s 5 -c "SystemImager" $< $@

si_imagemanip.8:	$(TOPDIR)/sbin/si_imagemanip
	pod2man --release=$(SYSTEMIMAGER_VERSION) -s 8 -c "SystemImager" $< $@

%.5 %.8:	%.sgml %.content.sgml
	docbook2man $<
	mv $(shell echo $@ | tr '[:lower:]' '[:upper:]') $@

install_all:	install_common_man install_server_man install_client_man

manpages:	$(MANPAGES)

compress:	$(foreach file, $(MANPAGES), $(file).gz)

install_common_man:	$(foreach file, $(COMMON_MAN), $(file).gz)
	$(foreach manpage, $(COMMON_MAN), \
	  install -D -m 644 $(manpage).gz \
	    $(USR)/share/man/man`echo $(manpage) | \
	    sed 's/.*\(.\)$$/\1/'`/$(manpage).gz ;)

install_server_man:	$(foreach file, $(SERVER_MAN), $(file).gz)
	$(foreach manpage, $(SERVER_MAN), \
	  install -D -m 644 $(manpage).gz \
	    $(USR)/share/man/man`echo $(manpage) | \
	    sed 's/.*\(.\)$$/\1/'`/$(manpage).gz ;)

install_client_man:	$(foreach file, $(CLIENT_MAN), $(file).gz)
	$(foreach manpage, $(CLIENT_MAN), \
	  install -D -m 644 $(manpage).gz \
	    $(USR)/share/man/man`echo $(manpage) | \
	    sed 's/.*\(.\)$$/\1/'`/$(manpage).gz ;)

clean:
	rm -f *~ \#*\# *.8 *.5 *.gz manpage.links manpage.refs

=== doc/manual_source/Makefile ===
#
# "SystemImager" 
#
#  Copyright (C) 1999-2001 Brian Elliott Finley <brian.finley@baldguysoftware.com>
#  Copyright (C) 2001-2003 Dann Frazier <dannf@hp.com>
#
#  $Id: Makefile,v 1.27 2003/09/14 00:24:53 brianfinley Exp $
#
#  Function: Create documentation from SGML source.
#
#  If you get errors when running make, and you are fortunate enough to be
#  building on a Debian box, do the following to get all the proper tools 
#  installed:
# 
#    "apt-get install jadetex docbook-utils sgmltools-lite"
#
#
#  It may also be prefereable to do a "make USE_SGMLTOOLS=1 <target>" if you are on Debian.
#


NAME	        = systemimager-manual
BOOK            = $(NAME).sgml
SRC	        = $(shell echo *.sgml)
HTMLDIR         = html
MANPAGE_CONTENT = $(shell ls ../man/*.sgml)
MANUAL_DEPS     = $(SRC) $(MANPAGE_CONTENT) dedosify

all:    html ps pdf dvi rtf txt

dvi:	$(NAME).dvi
pdf:    $(NAME).pdf
ps:	$(NAME).ps
rtf:	$(NAME).rtf
txt: 	$(NAME).txt

html:	$(MANUAL_DEPS)
	docbook2html -o $(HTMLDIR) $(BOOK)
	[ -d $(HTMLDIR)/images ] || mkdir $(HTMLDIR)/images
	cp -a images/* $(HTMLDIR)/images

$(NAME).dvi:	$(MANUAL_DEPS)
	docbook2dvi $(BOOK)

$(NAME).pdf:	$(MANUAL_DEPS)
	# sgmltools makes better pdfs (e.g., page numbers, less cruft on
	# the cover), but using docbook-utils is more portable across distros
ifeq ($(USE_SGMLTOOLS),1)
	# workaround for broken something or other (tetex-bin, i think)
	# see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=130504
	cp --parents \
	  /usr/share/sgml/docbook/stylesheet/dsssl/modular/images/note.pdf .
	cp --parents \
	  /usr/share/sgml/docbook/stylesheet/dsssl/modular/images/warning.pdf .
	sgmltools -b pdf $(BOOK)
else
	docbook2pdf $(BOOK)
endif

$(NAME).ps:	$(MANUAL_DEPS)
	docbook2ps $(BOOK)

$(NAME).rtf:	$(MANUAL_DEPS)
	docbook2rtf $(BOOK)

$(NAME).txt:	$(MANUAL_DEPS)
	docbook2txt $(BOOK)

clean:
	find . -name "*~" -exec rm -f {} \;
	find . -name "#*#" -exec rm -f {} \;
	rm -f $(NAME).aux
	rm -f $(NAME).dvi
	rm -f $(NAME).log
	rm -f $(NAME).out
	rm -f $(NAME).pdf
	rm -f $(NAME).ps
	rm -f $(NAME).rtf
	rm -f $(NAME).tex
	rm -f $(NAME).txt
	rm -rf $(NAME)
	rm -rf $(HTMLDIR)
	rm -rf DBTOHTML_OUTPUT_DIR*
	rm -rf ./usr/

dedosify:
	dos2unix *.sgml

.PHONY:	dedosify

=== debian/changelog ===
systemimager (3.4.1-1) unstable; urgency=low

  * New upstream release
  * The following patches have been included upstream:
      - ia64_host_type.patch
      - nogpgverify.patch

 -- dann frazier <dannf@debian.org>  Fri, 10 Jun 2005 07:56:36 -0600

systemimager (3.4.0-2) unstable; urgency=low

  * Call si_mkrsyncd_conf instead of mkrsyncd_conf in postinst
  * enable tg3

 -- dann frazier <dannf@dannf.org>  Tue, 22 Feb 2005 23:17:20 -0700

systemimager (3.4.0-1) unstable; urgency=low

  * New upstream release
  * systemimager-ssh is no longer a separate package.

 -- dann frazier <dannf@debian.org>  Fri, 04 Feb 2005 01:12:20 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: dann frazier <dannf@debian.org>
-Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>= 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, modutils, python [ia64], sysutils, texinfo, uuid-dev
+Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>= 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, libssl-dev, modutils, sysutils, texinfo, uuid-dev, zlib1g-dev
 Build-Conflicts: libc6.1-pic
 Build-Depends-Indep: bc, bzip2, debhelper (>= 4.0.0), docbook-to-man, docbook-utils, jadetex, sgmltools-lite
 Standards-Version: 3.5.7
@@ -55,8 +55,8 @@
 Package: systemimager-boot-i386-standard
 Architecture: all
 Recommends: systemimager-server
-Conflicts: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386, systemimager-server (<< 3.2.3), systemimager-server (>= 3.2.4)
-Replaces: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386
+Conflicts: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386, systemimager-ssh-i386, systemimager-server (<< 3.4.1), systemimager-server (>= 3.4.2)
+Replaces: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386, systemimager-ssh-i386
 Description: SystemImager boot binaries for i386 client nodes
  SystemImager is a set of utilities for installing GNU/Linux images to
  client machines over the network.  Images are stored in flat
@@ -68,7 +68,7 @@
 
 Package: systemimager-server-flamethrowerd
 Architecture: all
-Depends: systemimager-server (>=3.2.0), flamethrower
+Depends: systemimager-server (>=3.4.1), flamethrower
 Description: SystemImager boot binaries for i386 client nodes
  SystemImager is a set of utilities for installing GNU/Linux images to
  client machines over the network.  Images are stored in flat

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	## make sure parted doesn't segfault
 	mkdir mnt
 	mkdir testroot
-	sudo mount $(BUILD_DIR)/initrd_source/initrd mnt -t cramfs -o loop
+	sudo mount $(BUILD_DIR)/initrd_source/initrd -t cramfs mnt -o loop
 	sudo rsync -av mnt/* testroot/
 	sudo umount mnt
 	rmdir mnt
@@ -155,7 +155,7 @@
 	dh_testroot -N$(BOOTPKG)
 #	dh_installdebconf
 	dh_installdocs -N$(BOOTPKG)
-	dh_installexamples -p$(PKG)-server $(BUILD_DIR)/doc/local.cfg
+	dh_installexamples -p$(PKG)-server $(BUILD_DIR)/doc/examples/*
 
 	cp ./$(PKG)-$(VERSION)/etc/init.d/$(PKG)-server-rsyncd \
 	  ./debian/$(PKG)-server.init
@@ -163,12 +163,16 @@
 
 	cp ./$(PKG)-$(VERSION)/etc/init.d/$(PKG)-server-netbootmond \
 	  ./debian/$(PKG)-server.init
+	## This isn't exactly FHS compliant - systemimager-server shouldn't
+	## be installing an initscript called "netbootmond"  However,
+	## netbootmond isn't really a systemimager-specific utility,
+	## so maybe it should probably be its own package.
 	dh_installinit -p$(PKG)-server --init-script=netbootmond
 
 	cp ./$(PKG)-$(VERSION)/etc/init.d/$(PKG)-server-flamethrowerd \
 	  ./debian/$(PKG)-server-flamethrowerd.init
 	dh_installinit -p$(PKG)-server-flamethrowerd \
-	  --init-script=systemimager-server-flamethrowerd
+	  --init-script=$(PKG)-server-flamethrowerd
 
 	dh_installchangelogs -N$(BOOTPKG)
 	dh_link -N$(BOOTPKG)
